import { AwsFactory } from 'bigband-core';
export declare class CloudFormationPusher {
    private readonly cloudFormation;
    private readonly stackName;
    private resolve;
    private reject;
    private stackDescription;
    constructor(awsFactory: AwsFactory);
    peekAtExistingStack(): Promise<void>;
    private locatePreexistingStack;
    private purgeStack;
    deploy(templateBody: any): Promise<void>;
    createChangeSet(templateBody: any, changeSetName: string, newFingerprint: string): Promise<boolean>;
    private enactChangeset;
    private waitFor;
}
