import { NavigationItem } from "bigband-core";
export declare class NavigationNode {
    readonly token: string;
    readonly item: NavigationItem;
    readonly children: NavigationNode[];
    constructor(token: string, item: NavigationItem);
    addChild(token: string, item: NavigationItem): NavigationNode;
    downTo(token: string): NavigationNode | null;
    navigate(path: string): NavigationNode | null;
}
