export interface Usage {
    packageName: string;
    version: string;
    dir: string;
}
export declare class NpmPackageResolver {
    private readonly roots;
    private readonly filter;
    private readonly graph;
    private readonly usages;
    constructor(roots: string[], filter: (s: string) => boolean);
    private createNode;
    private scanDeps;
    prepopulate(): Promise<void>;
    recordUsage(packageName: any): void;
    compute(): Map<string, Usage>;
}
