import { Instrument, Section } from "bigband-core";
import { InstrumentModel } from "./InstrumentModel";
import { NavigationNode } from "../NavigationNode";
import { BigbandModel } from "./BigbandModel";
export declare class SectionModel {
    readonly bigband: BigbandModel;
    readonly section: Section;
    private readonly instruments_;
    constructor(bigband: BigbandModel, section: Section, instruments_?: InstrumentModel[]);
    readonly path: string;
    readonly instruments: InstrumentModel[];
    readonly physicalName: string;
    getInstrumentModel(instrument: Instrument): InstrumentModel;
    validate(): void;
    generateNavigationNodes(root: NavigationNode): NavigationNode;
}
