import { Instrument, Bigband } from "bigband-core";
import { WireModel } from "./WireModel";
import { NavigationNode } from "../NavigationNode";
import { SectionModel } from "./SectionModel";
export declare class InstrumentModel {
    private readonly bigband;
    readonly section: SectionModel;
    readonly instrument: Instrument;
    readonly wirings: WireModel[];
    readonly isSystemInstrument: any;
    constructor(bigband: Bigband, section: SectionModel, instrument: Instrument, wirings: WireModel[], isSystemInstrument: any);
    private readonly namer;
    readonly physicalName: string;
    readonly path: string;
    readonly arn: string;
    validate(): void;
    generateNavigationNodes(root: NavigationNode, generateSynthetic?: boolean): void;
}
